## rust-scaling 0.1.3

=== Makefile ===
test:
	cargo test --release -- --nocapture --test-threads=1

=== debian/changelog ===
rust-scaling (0.1.3-1) unstable; urgency=medium

  * Package scaling 0.1.3 from crates.io using debcargo 2.7.5

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Dec 2024 17:40:51 +0000

=== debian/control ===
Source: rust-scaling
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/scaling]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/scaling
Homepage: https://github.com/droundy/easybench-rs
X-Cargo-Crate: scaling
Rules-Requires-Root: no

Package: librust-scaling-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends}
Provides:
 librust-scaling+default-dev (= ${binary:Version}),
 librust-scaling-0-dev (= ${binary:Version}),
 librust-scaling-0+default-dev (= ${binary:Version}),
 librust-scaling-0.1-dev (= ${binary:Version}),
 librust-scaling-0.1+default-dev (= ${binary:Version}),
 librust-scaling-0.1.3-dev (= ${binary:Version}),
 librust-scaling-0.1.3+default-dev (= ${binary:Version})
Description: Lightweight benchmarking library that measures scaling behavior - Rust source code
 Source code for Debianized Rust crate "scaling"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test scaling 0.1.3 --all-targets --all-features
Features: test-name=rust-scaling:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test scaling 0.1.3 --all-targets
Features: test-name=librust-scaling-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test scaling 0.1.3 --all-targets --no-default-features
Features: test-name=librust-scaling-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable, flaky

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/scaling-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/scaling .*/crates/scaling/@ANY_VERSION@/download
